## diracparse diracparse |

## Types and Values

struct | GstDiracParse

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseParse
                        ╰── GstDiracParse

## Description

## Synopsis

### Element Information

plugin | videoparsersbad
author | David Schleef <ds@schleef.org>
class | Codec/Parser/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-dirac

name | src
direction | source
presence | always
details | video/x-dirac, parsed=(boolean)true, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ], pixel-aspect-ratio=(fraction)[ 0/1, 2147483647/1 ], interlace-mode=(string){ progressive, interleaved }, profile=(string){ vc2-low-delay, vc2-simple, vc2-main, main }, level=(string){ 0, 1, 128 }

## Functions

## Types and Values

### struct GstDiracParse

    struct GstDiracParse;